Subject: Is FLOW3\Utility\GenericCollection obsolete?
Description

Is FLOW3\Utility\GenericCollection obsolete? It seems like a SPLObjectStorage can be used instead - or at least the
GenericCollection could use one.

Associated revisions
Revision 7030ab49 - 2009-05-23 18:51 - Bastian Waidelich
FLOW3:
    -  Removed FLOW3\Utility\GenericCollection from repository, it's currently not needed. Resolves #3400
    -  Moved method setArgumentsFromRawRequestData() from Router to RequestBuilder. Resolves #3368
    -  Renamed URIHelper to URIBuilder. Removed Classes HelperInterface, AbstractHelper and InvalidViewHelper Exception. Adapted AbstractView &
ViewInterface. Resolves #3303
    -  Added section parameter to URIFor() method of the URIBuilder
    -  Refactored Base controllers - controllerContext is no instance variable anymore and will be created when passed to view in initializeView().
Resolves #3404
    -  ControllerContext is of scope prototype now. Added setter/getter for URIBuilder. Some cosmetic changes.
    -  Added getRequestPath() to Request.
    -  ControllerKeys (@controller, @action, @package, @subpackage and @format) can now be set by request arguments. Resolves #2853

History
#1 - 2009-05-22 13:05 - Bastian Waidelich
- Target version changed from 283 to 1.0 alpha 1

Yes, it was used in the Routing framework before I rewrote it to use nested arrays.
I still think, this might be a handy class. But I'll remove it for now - until we really need it.

#2 - 2009-05-23 19:00 - Bastian Waidelich
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset r2344.
